summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-perl/Parse-DebianChangelog')
-rw-r--r--dev-perl/Parse-DebianChangelog/ChangeLog10
-rw-r--r--dev-perl/Parse-DebianChangelog/Manifest4
-rw-r--r--dev-perl/Parse-DebianChangelog/Parse-DebianChangelog-1.2.0.ebuild55
-rw-r--r--dev-perl/Parse-DebianChangelog/metadata.xml5
4 files changed, 74 insertions, 0 deletions
diff --git a/dev-perl/Parse-DebianChangelog/ChangeLog b/dev-perl/Parse-DebianChangelog/ChangeLog
new file mode 100644
index 000000000..98cdff41e
--- /dev/null
+++ b/dev-perl/Parse-DebianChangelog/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/Parse-DebianChangelog
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Parse-DebianChangelog-1.2.0 (12 Dec 2012)
+
+ 12 Dec 2012; Matthew Schultz (mschultz) <mattsch@gmail.com>
+ +Parse-DebianChangelog-1.2.0.ebuild, +metadata.xml:
+ New Ebuild for bug #447044
+
diff --git a/dev-perl/Parse-DebianChangelog/Manifest b/dev-perl/Parse-DebianChangelog/Manifest
new file mode 100644
index 000000000..10f9027ce
--- /dev/null
+++ b/dev-perl/Parse-DebianChangelog/Manifest
@@ -0,0 +1,4 @@
+DIST libparse-debianchangelog-perl_1.2.0.orig.tar.gz 109582 SHA256 7d002d7e049c1fb336a4b3f22637b26adeba8870ab3ddd6542a07a593bc837c5 SHA512 3299bf18fadd4fd53a5866f024d8ac9c4356bb97f07c5454e93f4abaecd4e4981e6d421f290147b079700651a20aebf9eac9735c6bcf57f7cb687df9ac6598e5 WHIRLPOOL fc5e19d8f8634f3b666904350d1054e65f4660578d9e27908e1c3c3566edb60ac52dd5803bc2821f846a4c3568f8118d5d88d353c4066302cd86067c2cee4b69
+EBUILD Parse-DebianChangelog-1.2.0.ebuild 1215 SHA256 0dea498c3bf5ba202bbc0899f68146c51af15924d2f36e74972eb858ffd9fb30 SHA512 3e7d0990be57b990c2dd5978b62dbf195bb6016fd8a9a34f167040ebec9ec03618d8cb53c8922a58173fb753c750138d1c1e4531613535061e4d2cb9bfc8376a WHIRLPOOL 5697214c2610b0cf7508639656fd8c358ce03667bf94812d0b7cff6542d11efed66a732278d8b1097cc18540e35ecf080b4e0a91ade5d9820ef521f15de7fe37
+MISC ChangeLog 321 SHA256 57b1712679a416a5b3ff95dfbf27213c65e1199b4cb2aeaf6f59b80d900bc6a4 SHA512 bc1cf572afbfbd33020f10fc161174be76a76bef53c7ab8aec8fd39a2a6596fd215906e94d59e0c2f1488716427e44fa84c2930dbf8c608c214aa5d3745e784d WHIRLPOOL 9a1373d942ba8c2e55d60fd5544fdd13b2c29ee5fa930da85779f8db313c532bf6c5f59c8972091bf2482914f3bf6699633f64f20a28af34764c1dff60e97ad1
+MISC metadata.xml 210 SHA256 cdf0ecda9587c6491ba741e7684999763a7db81c85fe05120cca9cac810612f4 SHA512 f8c1a726179579d88f8378454feb623a4138ea58f6151919ac925c7d8af120e5ae8960542699412110d74bae34769f17f59540492f801f355ee014fb0a03ff15 WHIRLPOOL ad7fee0693863893e26dddd465aefdad33e52f47d0f345810708f7d5a0cffea1011ef36191b5fdb12cbd03faabd8561e634f619cac91d2c4ce002552d5c27e9c
diff --git a/dev-perl/Parse-DebianChangelog/Parse-DebianChangelog-1.2.0.ebuild b/dev-perl/Parse-DebianChangelog/Parse-DebianChangelog-1.2.0.ebuild
new file mode 100644
index 000000000..25ab98a6c
--- /dev/null
+++ b/dev-perl/Parse-DebianChangelog/Parse-DebianChangelog-1.2.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PLOCALES="da de"
+
+inherit l10n perl-module
+
+MY_PN="libparse-debianchangelog-perl"
+
+DESCRIPTION="Parse Debian changelogs and output them in other formats"
+HOMEPAGE="http://packages.qa.debian.org/libparse-debianchangelog-perl"
+SRC_URI="mirror://debian/pool/main/libp/${MY_PN}/${MY_PN}_${PV}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-perl/Class-Accessor
+ dev-perl/IO-String
+ dev-perl/Locale-gettext
+ dev-perl/TimeDate
+ virtual/perl-File-Spec
+ virtual/perl-PodParser"
+DEPEND="app-text/po4a
+ dev-perl/HTML-Parser
+ dev-perl/HTML-Template
+ dev-perl/XML-Simple
+ virtual/perl-Module-Build
+ test? (
+ app-text/htmltidy
+ dev-perl/Test-Exception
+ dev-perl/Test-Pod
+ dev-perl/Test-Pod-Coverage
+ virtual/perl-Test-Simple
+ )"
+
+S="${WORKDIR}/${PN}-v${PV}"
+
+SRC_TEST="do parallel"
+
+src_prepare() {
+ # Remove disabled locales
+ remove_locale() {
+ sed -r -i -e "s/po\/[a-z]+\.${1}\.po//" MANIFEST || die
+ rm po/*.${1}.po || die
+ }
+
+ # Prevent disabled locales from being built
+ l10n_for_each_disabled_locale_do remove_locale
+ perl-module_src_prepare
+}
diff --git a/dev-perl/Parse-DebianChangelog/metadata.xml b/dev-perl/Parse-DebianChangelog/metadata.xml
new file mode 100644
index 000000000..e95ecf8be
--- /dev/null
+++ b/dev-perl/Parse-DebianChangelog/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
+</pkgmetadata>